Bug 850568 - [abrt] xfce4-session-4.8.3-1.fc16: sn_xcb_display_new: Process /usr/bin/xfce4-session was killed by signal 11 (SIGSEGV)
[abrt] xfce4-session-4.8.3-1.fc16: sn_xcb_display_new: Process /usr/bin/xfce4...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xfce4-session (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:0ac4ee963ad36ec7a88e78f2598...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-21 16:36 EDT by Tom Tromey
Modified: 2014-08-11 01:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 20:46:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (5.44 KB, text/plain)
2012-08-21 16:37 EDT, Tom Tromey
no flags Details
File: backtrace (17.91 KB, text/plain)
2012-08-21 16:37 EDT, Tom Tromey
no flags Details
File: maps (24.26 KB, text/plain)
2012-08-21 16:37 EDT, Tom Tromey
no flags Details

  None (edit)
Description Tom Tromey 2012-08-21 16:36:59 EDT
libreport version: 2.0.10
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        xfce4-session
comment:        I logged in to an xfce session
crash_function: sn_xcb_display_new
executable:     /usr/bin/xfce4-session
kernel:         3.4.9-1.fc16.x86_64
pid:            1809
pwd:            /home/tromey
time:           Tue 21 Aug 2012 02:28:40 PM MDT
uid:            1000
username:       tromey

backtrace:      Text file, 18340 bytes
dso_list:       Text file, 5574 bytes
maps:           Text file, 24842 bytes

build_ids:
:9efd824bf587def50099e2ae657a5cce012fa658
:dc998e8c1e1dc44c684b9b86e753945a868e134a
:aaf7ed41612348bd1141db06cadd428244aa6ea5
:fd8a00c88eb1fd6872e45001f9ed4e5c6172995e
:ec72f897bbac2f33aadee57e01b7e01bbed4c534
:ee2f04900ae1f07517d91eba300ef385fccab1b8
:c90d4b437b361672ec29f8c6b94c2a5911e8f670
:6cded60dd119fb8b8aa41b264e12931cb2c7b67f
:1c6a95451ee19617be5abea3d121f0226d21ddda
:83ecebde12fbdca06b42acb8020b6bd3add804ea
:3a2c00058f6bc91272c8846d553d3834fab0f3c2
:d0c6e13f00a20952a72a945c929efb175fd760e3
:4b01fe6e705219deca2756ff0720d52ec81b4c87
:a594ab36356a9b6dc6ecf25a6124463ccbfd0a29
:9984e87647c0f0078a2d10c9061c0a03dba02452
:f8f4d8e260ee8f3b262936920270ace01b2da537
:6efb50672544879a559256604f0524ce4532f867
:11f2712f09f7a33a8eb7d1a26fde0b6531319d91
:36a149d1e2c29890b616402f6bc5e3f69ca2738e
:6788b943089846e98f7dc9cdb5dca63924909b25
:578e66700318d8cec8e5f03778c434743a55e153
:12ebe599358398f2c1a5294bb2dd387545474b65
:aaf62304b0fc10611d35b4f56005479d4c58868d
:c8a4e40c84c2f52e78c64d31efc0191c565a9049
:25b834f4c4dc534708635ff1064e2fe02a366a62
:163b323da65b708418226eb5fa8b057c731d1475
:6ecc3efaedf849a17c30a67fe15b4dacca1bd981
:7994f114cf7189e482f2665fae8e351ed8bc05e3
:61e45147024795bf5419dd51aa8997e18bf0579e
:0406dc93e5d067b98e166932201a6df7dde67888
:6a7541a2ec34589cc35300d8fc86d7f640b8ce42
:366db4bf15a0c9da945955717b40cc226a8ad562
:4c842320387ff7f6f91b7842b223c16518be909f
:399acd228adedc75aae4d2e35d1e7c26aa7089f3
:9523adec86a142d4e4521da1cabb80c64c5fbad7
:f0d50e3af2dfee021a327fb85a993a2312a98145
:58803db420709341d8e6a713b18e54a6e1824272
:75eaece6e0d1e075520cdfad5c398fdab4370846
:0911ea7c180d733724f89037b8e8a34e64024aec
:be507c791e34415e8f42f0e6030c889b2895cf9a
:e3c88cb9ea428bd61f4064dbd53acae2d396a1ec
:07470201df55a5254027d05fa4dc509b10f2986a
:0fccce2fdb46650674ef5b64fae5f25f14c88e08
:3bbe4d98714c66cda2944cd39900eea5d348df18
:c6739204320eb15bdcdba039a2b183298170403e
:f9aa72f20a1a7465d733b6abe82a861b96bb0fd6
:2611a6dc740c63b1f7c79cdad280f8737efd7648
:3437fbc1b9876f2d55c8c9beffbda021a61b1e61
:7a896ce784b97721d1f6960bfba25e60511c0178
:4b4285058f7f6b39b7e7c45df83fd36c6833bfe4
:b038838c10d38141b6ec19b40168be9caaa78286
:82cca0d5b06a649072a966dc4f05aded63d736bc
:23b6792e3218744316fd495002f40a037c2e0095
:c2d49d72ec1a1e68b39c3724693f83f44d80a259
:37c84b700d36cedd486ab4259d4fb8cd34eb0d6b
:bf404f1f16ae38c405a644f7f2a5a3de02e5d158
:fc684ef0fc723dcb68a88799b8fb98e68e5f7441
:2670385f49fb9f120f7cf843f211e3c620da8632
:f2e24eed69cdecfdc16ed844c315a295459441ff
:91709dc7083204ddd936d5ad28c171985f06f66c
:0d039828591f6fe108db1d5458ca340cbfc4ff6d
:a518a8b1b5c3e80dee813df05e951d205d6ac48c

environ:
:XDG_VTNR=1
:MANPATH=/usr/local/share/man:/home/tromey/CvsUtils/man:/usr/X11R6/man:/usr/share/man
:XDG_SESSION_ID=2
:SSH_AGENT_PID=1776
:HOSTNAME=barimba
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/home/tromey/.gnupg/S.gpg-agent:1800:1
:GLADE_PIXMAP_PATH=:
:XDG_MENU_PREFIX=xfce-
:TERM=dumb
:SHELL=/bin/bash
:HISTSIZE=1000
:XDG_SESSION_COOKIE=7ef6592e609601c16004c0500000000d-1345580910.286026-910986617
:PERL5LIB=/home/tromey/lib/perl/lib/perl5/site_perl
:GNOME_KEYRING_CONTROL=/tmp/keyring-eak3um
:IMSETTINGS_MODULE=none
:USER=tromey
:LD_LIBRARY_PATH=
:GLADE_MODULE_PATH=:
:VERSION_CONTROL=numbered
:SSH_AUTH_SOCK=/tmp/ssh-RoOuxlqa1633/agent.1633
:USERNAME=tromey
:PAGER=less
:XDG_CONFIG_DIRS=/etc/xdg
:MAIL=/var/spool/mail/tromey
:DESKTOP_SESSION=xfce
:PATH=/home/tromey/bin/scripts:/home/tromey/CvsUtils/bin:/usr/local/bin:/usr/bin/X11:/bin:/usr/bin:/sbin:/usr/sbin:/usr/games
:QT_IM_MODULE=xim
:PWD=/home/tromey
:XMODIFIERS=@im=none
:'EDITOR=emacsclient -t'
:KDE_IS_PRELINKED=1
:LANG=en_US.UTF-8
:GNOME_KEYRING_PID=1628
:KDEDIRS=/usr
:GDMSESSION=xfce
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:SHLVL=2
:XDG_SEAT=seat0
:HOME=/home/tromey
:LOGNAME=tromey
:'VISUAL=emacsclient -t'
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-24ndoM1sf5,guid=39d254346d796c30b9d7d11100000025
:XDG_DATA_DIRS=/usr/local/share:/usr/share
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/tromey
:GLADE_CATALOG_PATH=:
:LIBGLADE_MODULE_PATH=:
:'RNINIT=-e -m=s -M -S +/'
:AUTHORCOPY=/home/tromey/News/Mycopy
:XAUTHORITY=/var/run/gdm/auth-for-tromey-SsFfhZ/database
:_=/usr/bin/xfce4-session

var_log_messages:
:Aug 21 14:28:40 localhost kernel: [   47.488088] xfce4-session[1809]: segfault at 8 ip 00000036e94032d9 sp 00007fff2a101e80 error 4 in libstartup-notification-1.so.0.0.0[36e9400000+9000]
:Aug 21 14:28:40 localhost abrt[2000]: Saved core dump of pid 1809 (/usr/bin/xfce4-session) to /var/spool/abrt/ccpp-2012-08-21-14:28:40-1809 (10190848 bytes)
Comment 1 Tom Tromey 2012-08-21 16:37:03 EDT
Created attachment 606040 [details]
File: dso_list
Comment 2 Tom Tromey 2012-08-21 16:37:05 EDT
Created attachment 606041 [details]
File: backtrace
Comment 3 Tom Tromey 2012-08-21 16:37:07 EDT
Created attachment 606042 [details]
File: maps
Comment 4 Kevin Fenzi 2012-08-21 17:26:57 EDT
What were you doing when this happened? 

Can you duplicate it?
Comment 5 Tom Tromey 2012-08-22 10:15:23 EDT
I was logging in to an XFCE session.
It started to come up (I saw a panel appear), then it crashed,
kicking me back to the login.
I logged in again, and this time it worked.

I had a crash on login once before, see bug #827082.
I can't make it crash reliably.
Comment 6 Kevin Fenzi 2012-08-22 10:33:05 EDT
ok. I will try and see what I can make of the traceback. 

Thanks.
Comment 7 Fedora End Of Life 2013-01-16 18:24:03 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Fedora End Of Life 2013-02-13 20:46:50 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.